import { EventEmitter, OnInit } from '@angular/core';
import { CalendarComponentConfigurations } from './calendar-component-configurations';
import { CalendarService } from './calendar.service';
import { Day } from '@ironsource/fusion-ui/components/calendar/entities';
import * as i0 from "@angular/core";
export declare abstract class CalendarBaseComponent implements OnInit {
    /** @internal */
    calendarService: CalendarService;
    set configuration(configuration: CalendarComponentConfigurations);
    get configuration(): CalendarComponentConfigurations;
    daySelected: EventEmitter<Day>;
    /** @internal */
    daysOfTheWeek: string[];
    /** @internal */
    _configurations: CalendarComponentConfigurations;
    constructor(
    /** @internal */
    calendarService: CalendarService);
    ngOnInit(): void;
    /** @internal */
    selectDay(day: Day): void;
    /** @internal */
    isDisabled(day: Day): boolean;
    /** @internal */
    isActive(value: Day): boolean;
    /** @internal */
    dayHovered(day: Day, event: MouseEvent): void;
    /** @internal */
    hoverEnd(): void;
    /** @internal */
    getDayClasses(day: Day): {
        today: boolean;
        oneDaySelection: boolean;
        selected: boolean;
        selectedStart: boolean;
        selectedEnd: boolean;
        selectedDayAfterDay: boolean;
        active: boolean;
        disabled: boolean;
    };
    private isInMInMaxRange;
    static ɵfac: i0.ɵɵFactoryDeclaration<CalendarBaseComponent, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<CalendarBaseComponent, never, never, { "configuration": { "alias": "configuration"; "required": false; }; }, { "daySelected": "daySelected"; }, never, never, false, never>;
}
